%global commit_hash 1dead92
%global tag_hash 2a7fb9b

Name:           jnr-x86asm
Version:        1.0.2
Release:        %mkrel 17
Summary:        Pure-java port of asmjit

Group:          Development/Java
License:        MIT
URL:            https://github.com/jnr/%{name}/
Source0:        https://github.com/jnr/%{name}/tarball/%{version}/jnr-%{name}-%{version}-0-g%{commit_hash}.tar.gz
Source1:        MANIFEST.MF
Patch0:         add-manifest.patch
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)

%description
Pure-java port of asmjit (https://code.google.com/p/asmjit/)

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n jnr-%{name}-%{tag_hash}
%patch0
cp %{SOURCE1} .
find ./ -name '*.jar' -delete
find ./ -name '*.class' -delete

# remove unnecessary dependency on parent POM
%pom_remove_parent

%build
%mvn_build -- -Dmaven.compiler.source=8 -Dmaven.compiler.target=8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Fri May 24 2024 ns80 <ns80> 1.0.2-17.mga10
+ Revision: 2067260
- rebuild for java 21

* Fri Dec 09 2022 daviddavid <daviddavid> 1.0.2-16.mga9
+ Revision: 1919750
- Allow build on Java 17

* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-15.mga9
+ Revision: 1827588
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 1.0.2-14.mga8
+ Revision: 1624126
- Use source/target of 1.6 to build against Java 11
- Rebuilt for JDK-11
- Remove unnecessary dependency on parent POM

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-13.mga8
+ Revision: 1506247
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.2-12.mga7
+ Revision: 1262204
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.0.2-11.mga6
+ Revision: 1102799
- Add missing BRs
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.2-9.mga6
+ Revision: 976550
- First rebuild of the java stack
- sync package jnr-x86asm with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 1.0.2-5.mga5
+ Revision: 811531
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 747214
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 522291
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 399164
- New version
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 131308
- Fix use of maven macros
- Fix buildrequires
- Clean spec file
+ gil <gil>
- imported package jnr-x86asm

